      subroutine ReadBondsC
      implicit none
c
      include 'includeSystemSize.f'
      include 'includeGraphEnumeration.f'
      include 'includeCoveringCell.f'
c
      integer lBaseFolder,i,j
      character*3 rd
c
      lBaseFolder=len_trim(BaseFolder)
c
      FileName=BaseFolder(1:lBaseFolder)//'BondsC'
c
      inquire(file=trim(FileName),read=rd)
      if(rd.eq.'NO') then
         write(*,*) 'Error: ReadBonds'
         write(*,*) 'Input File Not Readable: ',trim(FileName)
         stop
      end if
c
      open(unit=1,file=FileName)
c
      read(1,*) nBondGroup
c
      do i=1,nBondGroup
         read(1,*) BondGroup(i,0)
         do j=1,BondGroup(i,0)
            read(1,*) BondGroup(i,j)
         end do
      end do
      close(1)
c
      if(VERBOSE) then
         write(3,*) nBondGroup,' bond groups , '
         do i=1,nBondGroup
            write(3,'(3x," group ",i4)') i
            write(3,'(12(1x,i4))') (BondGroup(i,j),j=1,BondGroup(i,0))
         end do
      end if
c
      return
      end
