      subroutine ReadInput
      implicit none
c
      include 'includeSystemSize.f'
      include 'includeGraphEnumeration.f'
c
      integer lBaseFolder
      character*3 rd
c
      FileName=trim(BaseFolder)//'GrEnum.inp'
c
      inquire(file=trim(FileName),read=rd)
      if(rd.eq.'NO') then
         write(*,*) 'Error: ReadInput'
         write(*,*) 'Input File Not Readable: ',trim(FileName)
         stop
      end if
c
      open(unit=1,file=trim(FileName))
      read(1,*) nInvForDeal
      read(1,*) InvariantThreshold0
      read(1,*) InvariantThreshold
      read(1,*) maxInvariantSampleSize
      read(1,*) UseInvariants
      read(1,*) VERBOSE
      read(1,*) DEBUG
      read(1,*) REORDER
      close(1)
c
      if(VERBOSE) then
         write(3,'("Contents of GrEnum.inp:")')
         write(3,'("nInvForDeal:            ",i10)') nInvForDeal
         write(3,'("InvariantThreshold0:     ",i10)') InvariantThreshold0
         write(3,'("InvariantThreshold:     ",i10)') InvariantThreshold
         write(3,'("maxInvariantSampleSize: ",i10)')
     $        maxInvariantSampleSize
         write(3,'("UseInvariants:          ",9x,l1)') UseInvariants
         write(3,'("VERBOSE:                ",9x,l1)') VERBOSE
         write(3,'("DEBUG:                  ",9x,l1)') DEBUG
         write(3,'("REORDER:                ",9x,l1)') REORDER
         write(3,*)
      end if
c
      return
      end
