      subroutine BondOrbits
      implicit none
c
      include 'includeSystemSize.f'
      include 'includeGraphEnumeration.f'
c
      logical Assigned(maxBonds)
      integer iBond,kBond,mBond,iV,jV, nOrbit,Bonds0(2,maxBonds),k,iGv
c
      do mBond = 1,nBonds
         Assigned(mBond)=.false.
      end do
c
      kBond=0
      nOrbit=0
      do mBond=1,nBonds
         if(.not.Assigned(mBond)) then
            nOrbit=nOrbit+1
            write(3,'("Bond orbit ",i3)') nOrbit
            write(3,'(t5,"bond",i3)') mBond
            kBond=kBond+1
            BondMap(kBond)=mBond
            Assigned(mBond)=.true.
c
c     Find orbit of bond mBond
            do iGv=1,nGv
               iV=Gv(Bonds(1,mBond),iGv)
               jV=Gv(Bonds(2,mBond),iGv)
               do iBond=1,nBonds
                  if(.not.Assigned(iBond)) then
                     if((iV.eq.Bonds(1,iBond).and.jV.eq.Bonds(2,iBond))
     >                    .or.
     >                  (jV.eq.Bonds(1,iBond).and.iV.eq.Bonds(2,iBond)))
     >                    then
                        kBond=kBond+1
                        BondMap(kBond)=iBond
                        Assigned(iBond)=.true.
                        write(3,'(t5,"bond",i3)') ibond
                     end if
                  end if
               end do           ! end iBond loop searching for bonds
                                ! that are symmetry-related to mBond
            end do              ! end loop over group elements
         end if ! end "assigned to orbit "if block for outer loop over
                ! bonds
      end do                    ! end outer loop over bonds
c
c     Reorder bonds so they appear in orbits
      do mBond=1,nBonds
         Bonds0(1,mBond)=Bonds(1,mBond)
         Bonds0(2,mBond)=Bonds(2,mBond)
      end do
c
      write(3,'(/,"Reordered bonds",/,t3,"New",t12,"(previous bond)")')
      do mBond=1,nBonds
         Bonds(1,mBond)=Bonds0(1,BondMap(mBond))
         Bonds(2,mBond)=Bonds0(2,BondMap(mBond))
         write(3,'(2i4,t15,"(",i3,")")') (Bonds(k,mBond),k=1,2),
     >        BondMap(mBond)
      end do
      write(3,'(//)')
c
      return
      end
c
         
