      subroutine LapackRoutines(A,B,C,N,MAX,info)
      implicit none
c
c -- Global Variables
      integer :: N,MAX
      double precision :: A(MAX,MAX),B(MAX),C(MAX)
c
c -- Local Variables
      integer :: iwork(MAX),info
      double precision :: AF(MAX,MAX),scale(MAX),rcond,ferr,berr,
     $     work(3*MAX)
      character*1 equed
c
c -- Call math library routine
      equed = 'Y'
      call dposvx( 'E', 'U', N, 1, A, MAX, AF, MAX, equed, scale,
     $     B, MAX, C, MAX, rcond, ferr, berr, work, iwork, info )
c
      if(info.ne.0) then
         write(*,*)
         write(*,*) 'info = ',info,' upon exit from dposvx.'
     >        ,' Program halted.'
         write(*,*) ' rcond = ',rcond
         write(*,*) 'N:       ',N
         write(*,*) 'MAX:     ',MAX
         write(*,*) 'equed:   ',equed
         write(*,*) 'ferr:    ',ferr
         write(*,*) 'berr:    ',berr
      end if
c     
      return
      end

