      subroutine ReadBonds
      implicit none
c
      include 'includeSystemSize.f'
      include 'includeGraphEnumeration.f'
c
      integer j,k, b1,b2, ioss,lBaseFolder
      character*3 rd
c
      lBaseFolder=len_trim(BaseFolder)
c
      FileName=BaseFolder(1:lBaseFolder)//'Bonds'
c
      inquire(file=trim(FileName),read=rd)
      if(rd.eq.'NO') then
         write(*,*) 'Error: ReadBonds'
         write(*,*) 'Input File Not Readable: ',trim(FileName)
         stop
      end if
c
      open(unit=1,file=FileName)
      nBonds=0
      do j=1,maxBonds+1
         read(1,*,iostat=ioss,end=10) b1,b2
         if(j>maxBonds) go to 20
         nBonds=nBonds+1
         Bonds(1,nBonds)=b1
         Bonds(2,nBonds)=b2
      end do
 20   write(*,*) 'Size of bond array is too small.'
      stop
 10   close(1)
c
      nVertices=0
      do j=1,nBonds
         do k=1,2
            if(Bonds(k,j)>nVertices) nVertices=Bonds(k,j)
         end do
      end do
c
      if(VERBOSE) then
         write(3,*) nBonds,' bonds read, ',nVertices,
     >        'vertices identified.'
         write(3,'(10(1h(,i3,1h,,i3,1h)))')
     $        ((Bonds(k,j),k=1,2),j=1,nBonds)
         write(3,'(//)')
      end if
c
      return
      end
