      subroutine ReadGv
      implicit none
c
      include 'includeSystemSize.f'
      include 'includeGraphEnumeration.f'
c
      integer i,j, ioss,lBaseFolder, GvBuffer(maxVertices)
      character*3 rd
c
      lBaseFolder=len_trim(BaseFolder)
c
      FileName=BaseFolder(1:lBaseFolder)//'Gv'
c
      inquire(file=trim(FileName),read=rd)
      if(rd.eq.'NO') then
         write(*,*) 'Error: ReadGv'
         write(*,*) 'Input File Not Readable: ',trim(FileName)
         stop
      end if
c
      open(unit=1,file=FileName)
      nGv=0
      do j=1,maxGroupOrder+1
         read(1,*,iostat=ioss,end=11) (GvBuffer(i),i=1,nVertices)
         if(j>maxGroupOrder) go to 21
         nGv=nGv+1
         do i=1,nVertices
            Gv(i,j)=GvBuffer(i)
         end do
      end do
 21   write(*,*) 'Size of Gv array is too small.'
      stop
 11   close(1)
c
      if(VERBOSE) then
         write(3,*) nGv,' group elements read.'
         do j=1,nGv
            write(3,'(16i3)') (Gv(i,j),i=1,nVertices)
         end do
         write(3,'(//)')
      end if
c
      return
      end
