      implicit none
c
      integer maxbonds
      parameter (maxbonds=400)
c
      character*40 logFileName
      character*10 s1,s(10)
      integer i,k,l,len_trim
      real*8 t,add(maxbonds),deal(maxbonds),sym(maxbonds),
     >     samp(maxbonds),total(maxbonds)
c
      do k=1,maxbonds
         add(k)=0.d0
         deal(k)=0.d0
         sym(k)=0.d0
         samp(k)=0.d0
      end do
c
      write(*,*) ' log file?'
      read(*,*) logFileName
      l=len_trim(logFileName)
c
      call system ('grep CPU.*bond '//logFileName(1:l)//
     >     '| sed -e "s/^.*    //" | '//
     >     'sed -e "s/search w\/o invariants/noinv/"'//
     >     ' > tmp.logcpu')
c
c
      open(unit=1,file='tmp.logcpu')
c
      do while(.true.)
         read(1,*,end=10) t,s1
         backspace(unit=1)
c
         if(s1(1:3).eq.'add') then
            read(1,*) t,(s(k),k=1,4),i
            add(i)=t
         else if(s1(1:3).eq.'sym') then
            read(1,*)  t,(s(k),k=1,4),i
            sym(i)=t
         else if(s1(1:3).eq.'inv') then
            read(1,*)  t,(s(k),k=1,4),i
            samp(i)=t
         else if(s1(1:3).eq.'dea') then
            read(1,*)  t,(s(k),k=1,4),i
            deal(i)=t
         else if(s1(1:3).eq.'bon') then
            read(1,*)  t,s1,i
            total(i)=t
         end if
      end do
c
      
 10   close(1)
c
      open(unit=1,file='logcpu.dat')
      write(1,*) '# add sample deal symsort total'
      do k=1,i
         write(1,'(i5,5(1x,e12.5))') k,add(k),samp(k),deal(k),
     >        sym(k),total(k)
      end do
      close(1)
c
      call system ('rm tmp.logcpu')
c
      stop
      end
