c
c -- # of Vertices
      integer nVertAsym,nVertUnit,nVertSim,nVertCov
c
c -- # of H-bonds
      integer nBondsUnit,nBondsSim,nBondsCov,nBondsInv
c
c -- Cell Vector
      integer NonPrimRange(2,3),SimCellDim(3),CovCellDim
      real*8 Cell(3,3),CellInv(3,3),Cell_Sim(3,3),CellInv_Sim(3,3),
     $     Cell_Cov(3,3),CellInv_Cov(3,3),Cell_Inv(3,3),
     $     CellInv_Inv(3,3)
      logical PRIMITIVE
c
c -- Lattice Vector
      real*8 LV_Param(6),LV_Unit(3,3),LVInv_Unit(3,3),LV_Sim(3,3),
     $     LVInv_Sim(3,3),LV_Cov(3,3),LVInv_Cov(3,3),LV_Inv(3,3),
     $     LVInv_Inv(3,3),LV_Unit_NonPrim(3,3),LVInv_Unit_NonPrim(3,3),
     $     LV_Sim_NonPrim(3,3),LVInv_Sim_NonPrim(3,3),
     $     LV_Cov_NonPrim(3,3),LVInv_Cov_NonPrim(3,3)
      logical ORTHOG
c
c -- Bond Lists
      integer LCD_VS,BondListUnit(2,nBondsUnitMax),
     $     BondListSim(2,nBondsSimMax),BondListCov(2,nBondsSimMax),
     $     BondMap(0:nBondsSimMax)
c
c -- Structure arrays
      integer HBonds(3,2,nBondsSimMax),Vertices(3,nVertSimMax),
     $     VertAsym(3,nVertUnitMax)
c
c -- Non-primitive cell requiring cover cell
      integer nBondsC,nVertC,HBondsC(3,2,nBondsSimMax),
     $     VerticesC(3,nVertSimMax),BondListC(2,nBondsSimMax)
      real*8 CellC(3,3),CellCInv(3,3)
c
c -- Common Blocks
      common /Cell/ Cell,CellInv,Cell_Sim,CellInv_Sim,Cell_Cov,
     $     CellInv_Cov,Cell_Inv,CellInv_Inv,LV_Param,LV_Unit,
     $     LVInv_Unit,LV_Sim,LVInv_Sim,LV_Cov,LVInv_Cov,LV_Inv,
     $     LVInv_Inv,LV_Unit_NonPrim,LVInv_Unit_NonPrim,LV_Sim_NonPrim,
     $     LVInv_Sim_NonPrim,LV_Cov_NonPrim,LVInv_Cov_NonPrim,ORTHOG,
     $     PRIMITIVE,NonPrimRange,SimCellDim,CovCellDim

      common /Vert/ nVertAsym,nVertUnit,nVertSim,nVertCov,
     $     Vertices,VertAsym,LCD_VS

      common /Bonds/ HBonds,nBondsUnit,nBondsSim,nBondsCov,
     $     nBondsInv,BondListUnit,BondListSim,BondListCov,BondMap

      common /Cover/ CellC,CellCInv,nBondsC,nVertC,HBondsC,VerticesC,
     $     BondListC
